Name:		dino
Version:	1.5
Release:	2%{?dist}
Summary:	The drop in network observer
License:	GPLv2
Vendor:		CERT
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}-docs-%{version}.tar.gz
Group:		Applications/System
Requires:	daemonize
Requires:	GeoIP
Requires:	httpd
Requires:	ImageMagick
Requires:	libfixbuf
Requires:	libpcap
Requires:	php
Requires:	php-cli
Requires:	php-pecl-geoip
Requires:	sed
Requires:	silk-analysis
Requires:	silk-common
Requires:	silk-rwflowpack
Requires:	sudo
Requires:	tcpdump
Requires:	tcpxtract
Requires:	wireshark
Requires:	yaf
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Packager:	Joe McManus <joe@cert.org>
BuildArch:	noarch

%description
DINO is a drop in network observer, a web based front end to display network data.

%prep
%setup -q
echo Building %{name}-%{version}-%{release}

rm -rf $RPM_BUILD_ROOT
tar -zxvf  %{SOURCE0}
tar -zxvf  %{SOURCE1}

%build
%install

mkdir -p $RPM_BUILD_ROOT/data
cp -r $RPM_BUILD_DIR/%{name}-%{version}/var $RPM_BUILD_ROOT/var

%post
getent group snort  > /dev/null && /usr/sbin/usermod -G snort apache
getent group snortd > /dev/null && /usr/sbin/usermod -G snort apache
echo "apache	ALL = (snort) NOPASSWD: /usr/sbin/tethereal" >>/etc/sudoers
echo "apache	ALL = (root) NOPASSWD: /var/www/html/dino/packetcapture.php" >>/etc/sudoers
/bin/sed -i'.rpmsave' -e's/^Defaults\s*requiretty/#Defaults\trequiretty/' /etc/sudoers

mkdir -p /data/pcap/tcpxtract/thumbs/
chown -R  apache:apache /data/pcap
ln -s /data/pcap/ /var/www/html/dino/pcap
#echo 'output alert_csv: alert.csv default' >> /etc/snort/snort.conf

%files
%doc configure-dino.txt configure-GeoIP.txt configure-silk.txt configure-snort.txt rwflowpack.conf sensors.conf silk.conf yaf
%defattr(0644,apache,apache, 0755)
 
/var/www/html/%{name}
/data
%attr(755, apache, apache)      /var/www/html/%{name}/packetcapture.php

%changelog
* Tue Jul  6 2015 Lawrence R. Rogers <lrr@cert.org> 1.5-2
* Release 1.5-2
	New release built with libfixbuf 1.7.0

* Fri Oct 14 2011 Lawrence R. Rogers <lrr@cert.org> 1.5-1
* Release 1.5-1
	Initial release
